%define name    mlterm
%define version 2.9.4
%define release	%mkrel 3

%define majorkik       10
%define libnamekik     %mklibname kik %{majorkik}
%define libnamedevkik  %mklibname -d kik %{majorkik}

%define majormkf       13
%define libnamemkf     %mklibname mkf %{majormkf}
%define libnamedevmkf  %mklibname -d mkf %{majormkf}

Summary:     Multi Lingual TERMinal emulator for X
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     BSD style
Group:       Terminals
URL:         http://mlterm.sourceforge.net/
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:     http://prdownloads.sourceforge.net/mlterm/mlterm-%{version}.tar.bz2
Patch0:      mlterm_font_config.diff
Patch1:      mlterm_main_config.diff
# we need to versionate the two following requires b/c of missing major changes:
Requires:       %libnamekik = %{version}
Requires:       %libnamemkf = %{version}
Requires:       ncurses-extraterms
BuildRequires:  fribidi-devel gtk2-devel
BuildRequires:  ImageMagick

%description
mlterm is a multi-lingual terminal emulator written from
scratch, which supports various character sets and encodings
in the world.  It also supports various unique feature such as
anti-alias using FreeType, multiple windows, scrollbar API,
scroll by mouse wheel, automatic selection of encoding,
and so on. Multiple xims are also supported.
You can dynamically change various xims.
NOTE: mlterm has good config tools.
Press Ctrl + right click or Ctrl + left click to run them.


%package -n	%libnamekik
Group:		System/Libraries
Summary:	Uitlity Library for Multi Lingual TERMinal

%description -n %libnamekik
This library is necessary for Multi Lingual TERMinal. It contains
various utility functions for mlterm.

%package -n	%libnamemkf
Group:		System/Libraries
Summary:	Mlterm Library for Handling Various Character Encodings

%description -n %libnamemkf
This library is necessary for Multi Lingual TERMinal. It contains
routines for handling various character sets.


%prep
%setup -q -n %name-%version
%patch0 -p0
%patch1 -p0

find -name CVS -type d | xargs -r rm -rf

%build
%configure \
	--enable-fribidi \
	--with-imagelib=gdk-pixbuf \
	--enable-anti-alias \
	--with-scrollbars=sample,extra,pixmap_engine \
	--enable-optimize-redrawing \
	--with-tools \
	--disable-rpath

# temporary hack until xft cflags is fixed
find -name 'Makefile' -type f | xargs grep '/usr/X11R6/include/freetype2' | cut -d: -f1 | xargs -r perl -pi -e 's#/usr/X11R6/include/freetype2#/usr/include/freetype2#g'

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# install terminfo
tic -o $RPM_BUILD_ROOT/%{_datadir}/terminfo/ doc/term/mlterm.ti

# install menu entry.
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=Mlterm
Comment=A multi-lingual terminal emulator
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=System;TerminalEmulator;
EOF

#install icons.
mkdir -p $RPM_BUILD_ROOT%{_liconsdir} \
         $RPM_BUILD_ROOT%{_iconsdir} \
         $RPM_BUILD_ROOT%{_miconsdir} \

convert doc/icon/mlterm_16x16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/mlterm.png
convert doc/icon/mlterm_32x32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/mlterm.png
convert doc/icon/mlterm_48x48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/mlterm.png

# remove unnecessary files
rm -f $RPM_BUILD_ROOT%{_libdir}/libkik.{so,la,a} \
      $RPM_BUILD_ROOT%{_libdir}/libmkf.{so,la,a} \
      $RPM_BUILD_ROOT%{_libexecdir}/%{name}/lib*.a \
      $RPM_BUILD_ROOT%{_libexecdir}/%{name}/lib*.la

%find_lang mlconfig
rm -fr $RPM_BUILD_ROOT%{_datadir}/terminfo/m/mlterm

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%update_menus
%endif

%if %mdkversion < 200900
%post -n %libnamekik -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libnamekik -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %libnamemkf -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libnamemkf -p /sbin/ldconfig
%endif


%files -f mlconfig.lang
%defattr(-,root,root)
%doc ChangeLog LICENCE README doc/{en,ja}
%config(noreplace) %{_sysconfdir}/mlterm/
%{_bindir}/mlcc
%{_bindir}/mlclient
%{_bindir}/mlterm
%{_libexecdir}/mlconfig
%{_libexecdir}/mlterm-menu
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files -n %libnamekik
%defattr(-,root,root)
%_libdir/libkik*.so.*

%files -n %libnamemkf
%defattr(-,root,root)
%_libdir/libmkf*.so.*




%changelog
* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.9.4-3mdv2009.0
+ Revision: 252611
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 2.9.4-1mdv2008.1
+ Revision: 119233
- New release 2.9.4

* Mon Oct 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.9.3-3mdv2008.0
+ Revision: 94090
- Rebuild for fixed package changelog.

* Mon Oct 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.9.3-2mdv2008.0
+ Revision: 94081
- Rebuild (#34355).
- Bunzip patches.
- Install binaries at /usr/bin, not /usr/X11R6/bin (#34324).
- Switch to xdg menu.

  + Jérôme Soyer <saispo@mandriva.org>
    - import mlterm


* Mon May 15 2006 Jerome Soyer <saispo@mandriva.org> 2.9.3-1mdk
- New release 2.9.3

* Wed Apr 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.9.2-3.20060419.1mdk
- latest snapshot
- remove buildrequires gtk-devel
- add configure options (--disable-rpath)

* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.9.2-2mdk
- use mkrel
- drop explicit dependancy already cautgh by autodeps
- fix conflict with ncurses-extraterms (#18482)

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.9.2-1mdk
- fix build with new rpm
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o new release
  o update font config (patch0) for new sung (a new chinese font)
  o fix requires (mlterm needs libkik and libmkf)

* Wed Dec 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.9.1-2.cvs20041229.1mdk
- latest snapshot
- remove --enable-uim (unstable)
- update patch0, patch1

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.9.1-1mdk
- bump major
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o new release
  o add '# install terminfo'
  o update patch11 (fix font settings)

* Wed Sep 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.8.0-2.cvs20040929.1mdk
- cvs20040929
- add patch11
- add --enable-uim
- modify %%description

* Tue Jun 29 2004 Abel Cheung <deaddog@deaddog.org> 2.8.0-1mdk
- New version
- Build with bidi support
- Eliminate bogus devel packages, no other software ever links
  with the libraries, and devel files are just created as a
  libtool side effect
- P0: 2.8.0 patch level 1
- P10: Eliminate rpath from binaries

* Thu Jun 03 2004 Michael Scherer <misc@mandrake.org> 2.7.0-3mdk 
- rebuild for new libintl
- quiet setup
- use mklibname

* Wed Feb 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-2mdk
- fix DIRM

* Wed Aug 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-1mdk
- 2.7.0
- split

* Sun Mar 24 2002 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.3.1-1mdk
- First version for Linux-Mandrake.
